Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.event
Class BootstrappingDependencyEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.springframework.context.event.ApplicationContextEvent
                  org.eclipse.gemini.blueprint.context.event.OsgiBundleApplicationContextEvent
                      org.eclipse.gemini.blueprint.extender.event.BootstrappingDependencyEvent

All Implemented Interfaces:
  Serializable

    public class BootstrappingDependencyEvent

extends OsgiBundleApplicationContextEvent

Spring-DM Extender bootstrapping event. This event is used during the application context discovery phase, before an application context is fully initialized.

It can be used to receive status updates for contexts started by the extender.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BootstrappingDependencyEvent(ApplicationContext source, Bundle bundle, OsgiServiceDependencyEvent nestedEvent)` Constructs a new `BootstrappingDependencyEvent` instance.

Method Summary
`OsgiServiceDependencyEvent` | `getDependencyEvent()` Returns the nested, dependency event that caused the bootstrapping event to be raised.

Methods inherited from class org.eclipse.gemini.blueprint.context.event.OsgiBundleApplicationContextEvent
`getBundle`

Methods inherited from class org.springframework.context.event.ApplicationContextEvent
`getApplicationContext`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BootstrappingDependencyEvent

    public BootstrappingDependencyEvent(ApplicationContext source,
                                        Bundle bundle,
                                        OsgiServiceDependencyEvent nestedEvent)

  Constructs a new `BootstrappingDependencyEvent` instance.

  Parameters:
    `source` -

Method Detail

### getDependencyEvent

    public OsgiServiceDependencyEvent getDependencyEvent()

  Returns the nested, dependency event that caused the bootstrapping event to be raised.

  Returns:
    associated dependency event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.